{% extends 'base.html' %}
{% block content %}
<div class="jumbotron">
	{% with messages = get_flashed_messages() %}
		{% if messages %}
			{% for message in messages %}
				<div class="row">
				<div class="alert alert-info" role="alert">{{message}}</div>
				</div>
			{% endfor %}
		{% endif %}
	{% endwith %}
	<table class="table table-striped">
		<thead>
			<tr>
				<th>Bord ID</th>
				<th>Status</th>
				<th>Title</th>
				<th>Board body</th>
				<th>Comments</th>
				<th>Likes</th>
				<th>Options</th>
			</tr>
		</thead>
		<tbody>
		{% for e in boards %}
			<tr>
				<td>{{e.id}}</td>
				<td>{{e.status}}</td>
				<td>{{e.title}}</td>
				<td>{{e.text}}</td>
				<td>
					{% for comment in e.comments %}
						<p style="font-size: 16px;">{{comment}}</p>
					{% endfor %}
				</td>
				<td>
					{% for like in e.likes %}
						<p style="font-size: 16px;">{{like}}</p>
					{% endfor %}
				</td>
				<td><a href="/save_board/{{e.id}}"><span class="glyphicon glyphicon-floppy-save"></span></a><a href="/create_ticket?id={{e.id}}">	<span class="glyphicon glyphicon-comment"></span></a>	<a href="/delete_board/{{e.id}}">	<span class="glyphicon glyphicon-trash"></span></a></td>
			</tr>
		{% endfor %}
		</tbody>
	</table>
	
	<form class="form-inline" action="/upload_board" method="POST" enctype="multipart/form-data">
		<div class="form-group">
			<label for="exampleFormControlFile1">Upload board</label>
			<input type="file" class="form-control-file" id="exampleFormControlFile1" name="file" required>
			<button class="btn" type="submit">Upload</button>
		</div>
	</form>

</div>
{% endblock %}
